package com.purui.prims.headless.server.persistence.mapper;

import com.purui.prims.headless.server.persistence.dataobject.DimensionDO;
import com.purui.prims.headless.server.pojo.DimensionFilter;
import com.purui.prims.headless.server.pojo.DimensionsFilter;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface DimensionDOCustomMapper {

    void batchInsert(List<DimensionDO> dimensionDOS);

    void batchUpdate(List<DimensionDO> dimensionDOS);

    void batchUpdateStatus(List<DimensionDO> dimensionDOS);

    List<DimensionDO> query(DimensionFilter dimensionFilter);

    List<DimensionDO> queryDimensions(DimensionsFilter dimensionsFilter);

}
